Bug Hunting Session
Bug 94374 - Insert -> Document: "Read-Error. Error reading file." for DOCX files
Summary: Insert -> Document: "Read-Error. Error reading file." for DOCX files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-09-20 09:33 UTC by Ronald
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald 2015-09-20 09:33:29 UTC
With a 300+ DOCX file open, I try to Insert -> Document to append another 300+ DOCX file.  But on both of my Windows 7 desktop and my Windows 8.1 laptop, I get the error message: Read-Error. Error reading file".

I have not attempted to do this in other formats such as your ODT, but this seems to be a consistent problem with build 5.0.1.2.

If you need more information, let me know.

Ron
Comment 1 Yousuf Philips (jay) (retired) 2015-09-20 13:09:56 UTC
Hello Ronald,

Thank you for reporting the bug. I can confirm that the bug is present in 5.0 daily and master. This bug is limited to only DOCX files, as it works fine with TXT, RTF and ODT files i tested.

It is a regression as it doesnt affect 4.4 daily.

Version: 5.1.0.0.alpha1+
Build ID: cbf3fac0a5a1be34b2e1a58da959debd24ebc017
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-17_07:03:22
Locale: en-US (en_US.UTF-8)
Comment 2 Ronald 2015-09-20 15:29:32 UTC
(In reply to Yousuf (Jay) Philips from comment #1)
> Hello Ronald,
> 
> Thank you for reporting the bug. I can confirm that the bug is present in
> 5.0 daily and master. This bug is limited to only DOCX files, as it works
> fine with TXT, RTF and ODT files i tested.
> 
> It is a regression as it doesnt affect 4.4 daily.
> 
> Version: 5.1.0.0.alpha1+
> Build ID: cbf3fac0a5a1be34b2e1a58da959debd24ebc017
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2015-09-17_07:03:22
> Locale: en-US (en_US.UTF-8)

Thank you!  It is good to know that not only are there other file formats that do work, but I know which other formats work.  Probably I'll use the ODT format when I need to do this.
I wonder about DOC format, although it isn't quite as important...
Comment 3 raal 2015-10-15 08:23:54 UTC
This seems to have begun at the below commit.
Adding Cc: to vmiklos@collabora.co.uk ; Could you possibly take a look at this one? Thanks


519b04d134b3e41c37ac11f5e46cb126a7ee06a8 is the first bad commit
commit 519b04d134b3e41c37ac11f5e46cb126a7ee06a8
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri May 15 02:20:19 2015 -0500

    source sha:7c6b273e1138e4f93b905a2db7179dcd958a6c5c

    source sha:7c6b273e1138e4f93b905a2db7179dcd958a6c5c

	author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-12-20 15:30:29 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-12-20 19:42:37 (GMT)
commit	7c6b273e1138e4f93b905a2db7179dcd958a6c5c (patch)
writerfilter: pass the whole MediaDescriptor to dmapper
Comment 4 Miklos Vajna 2015-10-16 20:44:51 UTC
Yes, I can reproduce this on master, using e.g.:

1) Create a hello-world docx file using Word.

2) Insert -> Object -> Document 

3) Read error
Comment 5 Commit Notification 2015-10-19 07:24:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50d48709af3406eb270e5357f5d2cc6a218337a9

tdf#94374 DOCX import: allow insert -> object -> document

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-03 20:27:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36fa2b8cf538baee272bf91da3d6cda2da6a392c&h=libreoffice-5-0

tdf#94374 DOCX import: allow insert -> object -> document

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 10:32:55 UTC Comment hidden (obsolete)